com.marklogic.xcc.exceptions

## Class RequestServerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.marklogic.xcc.exceptions.XccException
      - - com.marklogic.xcc.exceptions.RequestException
        - - com.marklogic.xcc.exceptions.RequestServerException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ContentInsertException, QueryException

      public class RequestServerException
      extends RequestException

  This is the base class for exceptions originating in the server (XQuery syntax errors, etc) as opposed exceptions related to communicating with the server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestServerException(java.lang.String message, Request request)`
    `RequestServerException(java.lang.String message, Request request, boolean isRetryable)`
    `RequestServerException(java.lang.String message, Request request, java.lang.Throwable cause)`
    `RequestServerException(java.lang.String message, Request request, java.lang.Throwable cause, boolean isRetryable)`

  - ### Method Summary

    - ### Methods inherited from class com.marklogic.xcc.exceptions.RequestException

      `appendRequestInfo, getRequest, isRetryable, isRetryAdvised, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestServerException

          public RequestServerException(java.lang.String message,
                                        Request request)

    - #### RequestServerException

          public RequestServerException(java.lang.String message,
                                        Request request,
                                        java.lang.Throwable cause)

    - #### RequestServerException

          public RequestServerException(java.lang.String message,
                                        Request request,
                                        boolean isRetryable)

    - #### RequestServerException

          public RequestServerException(java.lang.String message,
                                        Request request,
                                        java.lang.Throwable cause,
                                        boolean isRetryable)

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com